Flecs: Units
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Units
C++ API » Addons

Common unit annotations for reflection framework. More...

Collaboration diagram for Units:

## Topics
| Prefixes
| Prefixes to indicate unit count (e.g., Kilo, Mega).
| Quantities
| Quantities that group units (e.g., Length).
| Duration
| Angle
| Time
| Mass
| Electric Current
| Amount
| Luminous Intensity
| Force
| Length
| Pressure
| Speed
| Temperature
| Data
| Data Rate
| Frequency
| Uri
| Color

## Classes
struct | flecs::units::Prefixes
| Prefixes scope. More...
struct | flecs::units::duration
| Duration units. More...
struct | flecs::units::angle
| Angle units. More...
struct | flecs::units::time
| Time units. More...
struct | flecs::units::mass
| Mass units. More...
struct | flecs::units::electric_current
| Electric current units. More...
struct | flecs::units::amount
| Amount units. More...
struct | flecs::units::luminous_intensity
| Luminous intensity units. More...
struct | flecs::units::force
| Force units. More...
struct | flecs::units::length
| Length units. More...
struct | flecs::units::pressure
| Pressure units. More...
struct | flecs::units::speed
| Speed units. More...
struct | flecs::units::temperature
| Temperature units. More...
struct | flecs::units::data
| Data units. More...
struct | flecs::units::datarate
| Data rate units. More...
struct | flecs::units::frequency
| Frequency units. More...
struct | flecs::units::uri
| URI units. More...
struct | flecs::units::color
| Color units. More...
struct | flecs::units::Percentage
| Percentage unit. More...
struct | flecs::units::Bel
| Bel unit. More...
struct | flecs::units::DeciBel
| DeciBel unit. More...

## Functions
| flecs::units::units (flecs::world &world)
| Construct the units module.

## Detailed Description

Common unit annotations for reflection framework.

## Function Documentation

## ◆ units()

flecs::units::units | ( | flecs::world & | world | ) |
| inline

Construct the units module.

Definition at line 10 of file impl.hpp.